#include <iostream>

class Base {
public:
    virtual void show() {
        std::cout << "Base class show() function called." << std::endl;
    }
};

class Derived : public Base {
public:
    void show() override {  // Override the base class function
        std::cout << "Derived class show() function called." << std::endl;
    }
};

int main() {
    Base* basePtr;
    Derived derivedObj;

    basePtr = &derivedObj;

    // This will call the derived class's show() method
    basePtr->show();

    return 0;
}

