#include <iostream>

class A {
public:
    virtual void show() {
        std::cout << "A's show() called." << std::endl;
    }
};

class B : public A {
public:
    void show() override {
        std::cout << "B's show() called." << std::endl;
    }
};

class C : public B {
public:
    void show() override {
        std::cout << "C's show() called." << std::endl;
    }
};

int main() {
    A* ptr = new C();
    ptr->show();  // Calls C's show()
    delete ptr;

    return 0;
}

